<template>
  <div class="elem-paper-struct" :style="elemStyles">
    <ol>
      <li v-for="(item, index) in data.structs" :key="index">
        {{ item.detailName }}，{{ item.questionCount }}题，共{{
          item.totalScore
        }}分
      </li>
    </ol>
  </div>
</template>

<script>
export default {
  name: "ElemPaperStruct",
  props: {
    data: {
      type: Object,
      default() {
        return {
          structs: [],
        };
      },
    },
  },
  data() {
    return {};
  },
  computed: {
    elemStyles() {
      return {
        paddingLeft: this.data.paddingLeft + "px",
        textAlign: this.data.textAlign || null,
      };
    },
  },
  methods: {},
};
</script>
